For the complete documentation index, see llms.txt. This page is also available as Markdown.

Retrieve Company Information

Firma bilgilerini getirir.

get
Authorizations
HTTPRequired

API anahtar� giriniz

Responses
200

Firma bilgilerini getirir.

application/json
Namestring · nullableOptional
TaxNumberstring · nullableOptional
TaxOfficestring · nullableOptional
Addressstring · nullableOptional
Districtstring · nullableOptional
Citystring · nullableOptional
Countrystring · nullableOptional
PostalCodestring · nullableOptional
PhoneNumberstring · nullableOptional
Faxstring · nullableOptional
Emailstring · nullableOptional
WebSitestring · nullableOptional
IsActiveboolean · nullableOptional
IsDeletedboolean · nullableOptional
PayeeFinancialAccountIDstring · nullableOptional
PaymentMeansChannelCodestring · nullableOptional
PaymentMeansCodestring · nullableOptional
get/Company
GET /general/Company HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "Name": "text",
  "TaxNumber": "text",
  "TaxOffice": "text",
  "Address": "text",
  "District": "text",
  "City": "text",
  "Country": "text",
  "PostalCode": "text",
  "PhoneNumber": "text",
  "Fax": "text",
  "Email": "text",
  "WebSite": "text",
  "IsActive": true,
  "IsDeleted": true,
  "PayeeFinancialAccountID": "text",
  "PaymentMeansChannelCode": "text",
  "PaymentMeansCode": "text",
  "Aliases": [
    {
      "Alias": "text",
      "AliasType": 1,
      "Type": 1
    }
  ]
}
var client = new RestClient("https://apitest.nilvera.com/general/Company");
client.Timeout = -1;
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <API KEY>");
IRestResponse response = client.Execute(request);
Console.WriteLine(response.Content);
<?php
$curl = curl_init();
curl_setopt_array($curl, array(
  CURLOPT_URL => 'https://apitest.nilvera.com/general/Company',
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => '',
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 0,
  CURLOPT_FOLLOWLOCATION => true,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => 'GET',
  CURLOPT_HTTPHEADER => array(
    'Authorization: Bearer <API KEY>'
  ),
));
$response = curl_exec($curl);
curl_close($curl);
echo $response;

Last updated